Package net.snowflake.client.core

## Class BaseSqlInput

- java.lang.Object
- - net.snowflake.client.core.BaseSqlInput

All Implemented Interfaces:
  `SQLInput`, `SFSqlInput`

Direct Known Subclasses:
  `ArrowSqlInput`, `JsonSqlInput`

    public abstract class BaseSqlInput
    extends Object
    implements SFSqlInput

### Field Summary

Fields
`protected Converters` `converters`
`protected List<FieldMetadata>` `fields`
`protected SFBaseSession` `session`

### Constructor Summary

Constructors
`protected` `BaseSqlInput​(SFBaseSession session, Converters converters, List<FieldMetadata> fields)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected BigDecimal` `convertBigDecimal​(Object value, FieldMetadata fieldMetadata)`
`protected Boolean` `convertBoolean​(Object value, FieldMetadata fieldMetadata)`
`protected byte[]` `convertBytes​(Object value, FieldMetadata fieldMetadata)`
`protected Double` `convertDouble​(Object value, FieldMetadata fieldMetadata)`
`protected Float` `convertFloat​(Object value, FieldMetadata fieldMetadata)`
`protected Integer` `convertInt​(Object value, FieldMetadata fieldMetadata)`
`protected Long` `convertLong​(Object value, FieldMetadata fieldMetadata)`
`protected Short` `convertShort​(Object value, FieldMetadata fieldMetadata)`
`protected String` `convertString​(Object value, FieldMetadata fieldMetadata)`
`Array` `readArray()`
`InputStream` `readAsciiStream()`
`InputStream` `readBinaryStream()`
`Blob` `readBlob()`
`Reader` `readCharacterStream()`
`Clob` `readClob()`
`NClob` `readNClob()`
`String` `readNString()`
`Ref` `readRef()`
`RowId` `readRowId()`
`SQLXML` `readSQLXML()`
`Timestamp` `readTimestamp()`
`URL` `readURL()`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.snowflake.client.core.SFSqlInput

`readArray, readList, readMap, readObject, readTimestamp`

### Methods inherited from interface java.sql.SQLInput

`readBigDecimal, readBoolean, readByte, readBytes, readDate, readDouble, readFloat, readInt, readLong, readObject, readObject, readShort, readString, readTime`

### Field Detail

#### session

    protected final SFBaseSession session

#### converters

    protected final Converters converters

#### fields

    protected final List<FieldMetadata> fields

### Constructor Detail

#### BaseSqlInput

    protected BaseSqlInput​(SFBaseSession session,
                           Converters converters,
                           List<FieldMetadata> fields)

### Method Detail

#### readTimestamp

    public Timestamp readTimestamp()
                            throws SQLException

Specified by:
  `readTimestamp` in interface `SQLInput`
Throws:
  `SQLException`

#### readCharacterStream

    public Reader readCharacterStream()
                               throws SQLException

Specified by:
  `readCharacterStream` in interface `SQLInput`
Throws:
  `SQLException`

#### readAsciiStream

    public InputStream readAsciiStream()
                                throws SQLException

Specified by:
  `readAsciiStream` in interface `SQLInput`
Throws:
  `SQLException`

#### readBinaryStream

    public InputStream readBinaryStream()
                                 throws SQLException

Specified by:
  `readBinaryStream` in interface `SQLInput`
Throws:
  `SQLException`

#### readRef

    public Ref readRef()
                throws SQLException

Specified by:
  `readRef` in interface `SQLInput`
Throws:
  `SQLException`

#### readBlob

    public Blob readBlob()
                  throws SQLException

Specified by:
  `readBlob` in interface `SQLInput`
Throws:
  `SQLException`

#### readClob

    public Clob readClob()
                  throws SQLException

Specified by:
  `readClob` in interface `SQLInput`
Throws:
  `SQLException`

#### readArray

    public Array readArray()
                    throws SQLException

Specified by:
  `readArray` in interface `SQLInput`
Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLException

Specified by:
  `wasNull` in interface `SQLInput`
Throws:
  `SQLException`

#### readURL

    public URL readURL()
                throws SQLException

Specified by:
  `readURL` in interface `SQLInput`
Throws:
  `SQLException`

#### readNClob

    public NClob readNClob()
                    throws SQLException

Specified by:
  `readNClob` in interface `SQLInput`
Throws:
  `SQLException`

#### readNString

    public String readNString()
                       throws SQLException

Specified by:
  `readNString` in interface `SQLInput`
Throws:
  `SQLException`

#### readSQLXML

    public SQLXML readSQLXML()
                      throws SQLException

Specified by:
  `readSQLXML` in interface `SQLInput`
Throws:
  `SQLException`

#### readRowId

    public RowId readRowId()
                    throws SQLException

Specified by:
  `readRowId` in interface `SQLInput`
Throws:
  `SQLException`

#### convertString

    protected String convertString​(Object value,
                                   FieldMetadata fieldMetadata)
                            throws SQLException

Throws:
  `SQLException`

#### convertBoolean

    protected Boolean convertBoolean​(Object value,
                                     FieldMetadata fieldMetadata)
                              throws SQLException

Throws:
  `SQLException`

#### convertShort

    protected Short convertShort​(Object value,
                                 FieldMetadata fieldMetadata)
                          throws SQLException

Throws:
  `SQLException`

#### convertInt

    protected Integer convertInt​(Object value,
                                 FieldMetadata fieldMetadata)
                          throws SQLException

Throws:
  `SQLException`

#### convertLong

    protected Long convertLong​(Object value,
                               FieldMetadata fieldMetadata)
                        throws SQLException

Throws:
  `SQLException`

#### convertFloat

    protected Float convertFloat​(Object value,
                                 FieldMetadata fieldMetadata)
                          throws SQLException

Throws:
  `SQLException`

#### convertDouble

    protected Double convertDouble​(Object value,
                                   FieldMetadata fieldMetadata)
                            throws SQLException

Throws:
  `SQLException`

#### convertBigDecimal

    protected BigDecimal convertBigDecimal​(Object value,
                                           FieldMetadata fieldMetadata)
                                    throws SQLException

Throws:
  `SQLException`

#### convertBytes

    protected byte[] convertBytes​(Object value,
                                  FieldMetadata fieldMetadata)
                           throws SQLException

Throws:
  `SQLException`